openSUSE Security Update : xen (openSUSE-SU-2014:1281-1)

This script is Copyright (C) 2014 Tenable Network Security, Inc.


Synopsis :

The remote openSUSE host is missing a security update.

Description :

XEN was updated to fix security issues and bugs.

Security issues fixed :

- bnc#897657 - CVE-2014-7188: XSA-108 Improper MSR range
used for x2APIC emulation

- bnc#895802 - CVE-2014-7156: XSA-106: Missing privilege
level checks in x86 emulation of software interrupts

- bnc#895799 - CVE-2014-7155: XSA-105: Missing privilege
level checks in x86 HLT, LGDT, LIDT, and LMSW emulation

- bnc#895798 - CVE-2014-7154: XSA-104: Race condition in
HVMOP_track_dirty_vram

- bnc#864801 - CVE-2013-4540: qemu: zaurus: buffer overrun
on invalid state load

- bnc#875668 - CVE-2014-3124: XSA-92: HVMOP_set_mem_type
allows invalid P2M entries to be created

- bnc#878841 - CVE-2014-3967, CVE-2014-3968: XSA-96: Xen:
Vulnerabilities in HVM MSI injection

- bnc#880751 - CVE-2014-4021: XSA-100: Hypervisor heap
contents leaked to guests

- bnc#842006 - CVE-2013-4344: XSA-65: xen: qemu SCSI
REPORT LUNS buffer overflow

Other bugs fixed :

- bnc#896023 - Adjust xentop column layout

- bnc#820873 - The 'long' option doesn't work with 'xl
list'

- bnc#882127 - Xen kernel panics on booting SLES12 Beta 8

- bnc#865682 - Local attach support for PHY backends using
scripts

- bnc#798770 - Improve multipath support for npiv devices

See also :

http://lists.opensuse.org/opensuse-updates/2014-10/msg00010.html
https://bugzilla.novell.com/show_bug.cgi?id=798770
https://bugzilla.novell.com/show_bug.cgi?id=820873
https://bugzilla.novell.com/show_bug.cgi?id=842006
https://bugzilla.novell.com/show_bug.cgi?id=864801
https://bugzilla.novell.com/show_bug.cgi?id=865682
https://bugzilla.novell.com/show_bug.cgi?id=875668
https://bugzilla.novell.com/show_bug.cgi?id=878841
https://bugzilla.novell.com/show_bug.cgi?id=880751
https://bugzilla.novell.com/show_bug.cgi?id=882127
https://bugzilla.novell.com/show_bug.cgi?id=895798
https://bugzilla.novell.com/show_bug.cgi?id=895799
https://bugzilla.novell.com/show_bug.cgi?id=895802
https://bugzilla.novell.com/show_bug.cgi?id=896023
https://bugzilla.novell.com/show_bug.cgi?id=897657

Solution :

Update the affected xen packages.

Risk factor :

High / CVSS Base Score : 8.3
(CVSS2#AV:A/AC:L/Au:N/C:C/I:C/A:C)

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now